Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2007-10-05 07:46:22


WHAT: Remove the mvapi BTL for the v1.3 release.

WHY: None of the IB vendors want to maintain it anymore; our future
is OFED. If someone still has mvapi IB drivers, they can use the
OMPI v1.2 series.

WHERE: svn rm ompi/mca/btl/mvapi

WHEN: Before the v1.3 release.

TIMEOUT: COB, Thurs, Oct 11, 2007

-----

None of the IB vendors are interested in maintaining the "mvapi" BTL
anymore. Indeed, none of us have updated it with any of the new/
interesting/better performance features that went into the openib BTL
over the past year (or more). Additionally, some changes may be
coming in the OMPI infrastructure that would *require* some revamping
in the mvapi BTL -- and no one of Cisco, Voltaire, Mellanox is
willing to do it.

So we'd like to ditch the mvapi BTL starting with v1.3 and have the
official guidance be that if you have mvapi, you need to use the OMPI
v1.2 series (i.e., remove this from the SVN trunk in the Very Near
Future).

-- 
Jeff Squyres
Cisco Systems